/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import { FloorPlanFlyWeightResponse } from "./floorPlanFlyWeightResponse";
import { ExitResponse } from "./exitResponse";
import { AreaResponse } from "./areaResponse";

export class FloorPlanFullResponse {
    public info: FloorPlanFlyWeightResponse;

    public exits: ExitResponse[];

    public areas: AreaResponse[];

    /**
     * Creates a FloorPlanFullResponse.
     *
     * @param {FloorPlanFlyWeightResponse} info
     * @param {ExitResponse} exits
     * @param {AreaResponse} areas
     */
    constructor(info: FloorPlanFlyWeightResponse, exits: ExitResponse[], areas: AreaResponse[]) {
        this.info = info;
        this.exits = exits;
        this.areas = areas;
    }
}